bin_PROGRAMS = p2pmain checker
p2pmain_SOURCES = p2pmain.cpp
checker_SOURCES = checker.cpp
INCLUDES = -I./common -I./bigint -I./distance -I./p2pconfig -I./node -I./sys -I./msg -I./net -I./table -I./utils
LIBS = -lpthread

#LDADD = bigint/libbigint.a distance/libdist.a net/libnet.a \
#	p2pconfig/libp2pconfig.a node/libnode.a sys/libsys.a \
#	msg/libmsg.a table/libtable.a

LDADD = bigint/libbigint.a node/libnode.a net/libnet.a table/libtable.a  \
	distance/libdist.a msg/libmsg.a p2pconfig/libp2pconfig.a sys/libsys.a \
	utils/libutils.a


SUBDIRS = bigint distance msg net node p2pconfig sys table utils
CLEANFILES = *~ *.o p2pmain

# INCLUDES = -I./common -I./bigint -I./test
# LIBS = -lpthread
# LDADD = bigint/libbigint.a test/libtest.a
# CLEANFILES = *~ *.o p2pmain
